#include <bits/stdc++.h>
using namespace std;
const int mod=1e9+7;
long long f(string a,string b)
{
    int n=a.length(),m=b.length();
    vector<long long>d(m+1,0);
    d[0]=1;
    for(int i=1;i<=n;++i)
    {
        for(int j=m;j>=1;--j)
        {
            if(a[i-1]==b[j-1])
                d[j]=(d[j]+d[j-1])%mod;
        }
    }

    return d[m];
}
int main()
{
    int n;
    cin>>n;
    string a;
    cin>>a;
    string b;
    b="ABCDEFGHIJKLMNOPQRSTUVWXYZ";
    cout<<f(a,b)<<endl;

    return 0;
}